CICSFile (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.CICSFile interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface CICSFile

All Superinterfaces:
  DataFile, FileSystemContent, LogicalContent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface CICSFile

extends DataFile

Naming Rules:
  0="parent,DDName"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDatasets()` -- note: contains a list of datasets for the DD.
`java.lang.String` | `getDDName()`
`CICSRegion` | `getParent()`
`boolean` | `hasDatasets()`
`boolean` | `hasDDName()`
`boolean` | `hasParent()`
`void` | `setDatasets(java.lang.String x)`
`void` | `setDDName(java.lang.String x)`
`void` | `setParent(CICSRegion x)`

Methods inherited from interface com.collation.platform.model.topology.sys.FileSystemContent
`getGroup, getLastModified, getOwner, getPermissions, getRealFile, getSize, hasGroup, hasLastModified, hasOwner, hasPermissions, hasRealFile, hasSize, setGroup, setLastModified, setOwner, setPermissions, setRealFile, setSize`

Methods inherited from interface com.collation.platform.model.topology.core.LogicalContent
`getChecksum, getConfigFile, getContent, getContentType, getFixedPath, getURI, hasChecksum, hasConfigFile, hasContent, hasContentType, hasFixedPath, hasURI, setChecksum, setConfigFile, setContent, setContentType, setFixedPath, setURI`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getParent

    CICSRegion getParent()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(CICSRegion x)

### hasParent

    boolean hasParent()

### getDatasets

    java.lang.String getDatasets()
                                 throws AttributeNotSetException

  -- note: contains a list of datasets for the DD.

  Throws:
    `AttributeNotSetException`

### setDatasets

    void setDatasets(java.lang.String x)

### hasDatasets

    boolean hasDatasets()

### getDDName

    java.lang.String getDDName()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDDName

    void setDDName(java.lang.String x)

### hasDDName

    boolean hasDDName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD